View Issue Details

IDProjectCategoryView StatusLast Update
0004312SymmetricDSImprovementpublic2020-03-17 14:43
ReporterelongAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.11.0 
Target Version3.11.7Fixed in Version3.11.7 
Summary0004312: Routing data gap detection option for Postgres to use earliest transaction time
DescriptionAdd a parameter for the data gap detection in routing to use a query on Postgres for the earliest transaction time. Oracle has a parameter for this behavior (oracle.use.transaction.view). Create a parameter that can be used for multiple dialects:

routing.gaps.use.transaction.view=true

The time is used to 1) expire gaps sooner that than the timeout (routing.stale.dataid.gap.time.ms), and 2) prevent expiration of gaps potentially held by open transactions.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.11 f24bbb16

2020-03-16 15:49:28

admin

Details Diff
0004312: Routing data gap detection option for Postgres to use earliest
transaction time

0004312
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/postgresql/PostgreSqlSymmetricDialect.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ParameterConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/DataGapFastDetector.java Diff File
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File

Issue History

Date Modified Username Field Change
2020-03-12 15:10 elong New Issue
2020-03-12 15:10 elong Status new => assigned
2020-03-12 15:10 elong Assigned To => elong
2020-03-16 15:51 elong Status assigned => resolved
2020-03-16 15:51 elong Resolution open => fixed
2020-03-16 15:51 elong Fixed in Version => 3.11.7
2020-03-16 16:00 admin Changeset attached => SymmetricDS 3.11 f24bbb16
2020-03-17 14:43 admin Status resolved => closed